Przejdź do głównej treści
GET
/
api
/
v1
/
billing
/
subscription
Pobierz subskrypcję konta
curl --request GET \
  --url https://api.railmail.app/api/v1/billing/subscription \
  --header 'X-API-Key: <api-key>'
{
  "id": 123,
  "planTier": "<string>",
  "status": "<string>",
  "billingInterval": "<string>",
  "aiCreditsTier": 123,
  "pendingPlanTier": "<string>",
  "pendingAiCreditsTier": 123,
  "pendingPlanEffectiveAt": "2023-11-07T05:31:56Z",
  "currentPeriodStart": "2023-11-07T05:31:56Z",
  "currentPeriodEnd": "2023-11-07T05:31:56Z",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "cancellationReason": "<string>",
  "cancelAtPeriodEnd": true,
  "isSendingAllowed": true,
  "limits": {
    "maxSubscribers": 123,
    "maxCampaignsPerMonth": 123,
    "maxProjects": 123,
    "maxAiRequestsPerMonth": 123,
    "maxUsers": 123,
    "maxEmailsPerMonth": 123,
    "customFieldsEnabled": true,
    "automationsEnabled": true,
    "advancedSegmentsEnabled": true,
    "customDomainEnabled": true,
    "apiAccessEnabled": true,
    "prioritySupport": true
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Odpowiedź

Subskrypcja

id
integer<int64> | null
planTier
string | null
status
string | null
billingInterval
string | null
aiCreditsTier
integer | null
pendingPlanTier
string | null
pendingAiCreditsTier
integer | null
pendingPlanEffectiveAt
string<date-time> | null
currentPeriodStart
string<date-time> | null
currentPeriodEnd
string<date-time> | null
cancelledAt
string<date-time> | null
cancellationReason
string | null
cancelAtPeriodEnd
boolean
isSendingAllowed
boolean
limits
object
createdAt
string<date-time> | null
updatedAt
string<date-time> | null